<?php 
session_start();
if (!$_SESSION['login']) {header("Location: index.php");}
if ($_SESSION['admin']) {$admin=true;} else {$admin=false;}
require_once('utilesphp/sql_oop.php'); //conexion a base de datos
include('utilesphp/utiles.php');
include('class/class.php');

if (isset($_GET['modifica']) AND ($_GET['modifica']=='valorventa') AND isset($_GET['Idproducto']) AND isset($_GET['fecha']) AND isset($_GET['valorventa']) AND ($_GET['Idproducto']<>'') AND $admin) {
	$valor=$mysqli->query('SELECT * FROM precios WHERE Idproducto="'.$_GET['Idproducto'].'" AND fecha="'.$_GET['fecha'].'"');
	$row_valor=$valor->fetch_array();
	if ($valor->num_rows==0) {
		$mysqli->query('INSERT INTO precios (Idproducto,fecha,valorventa) VALUES ("'.$_GET['Idproducto'].'","'.$_GET['fecha'].'","'.$_GET['valorventa'].'")');
	} else {
		$mysqli->query('UPDATE precios SET valorventa="'.$_GET['valorventa'].'" WHERE Idprecio="'.$row_valor['Idprecio'].'" ');
	}
	
}
if (isset($_GET['modifica']) AND ($_GET['modifica']=='si') AND isset($_GET['Idproducto']) AND ($_GET['Idproducto']<>'')) {
	if (isset($_GET['campo']) AND ($_GET['campo']<>'') AND isset($_GET['value']) AND ($_GET['value']<>'')) {
		$updt=$mysqli->query('UPDATE productos SET '.$_GET['campo'].'="'.$_GET['value'].'" WHERE Idproducto="'.$_GET['Idproducto'].'"');
		$informacion='Dato del producto '.$_GET['codigo'].' ha sido actualizado';
	}
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="stylesheet" type="text/css" href="css/estilos.css">
<title><?php echo $titulopagina; ?></title>
</head>
<script type="text/javascript" src="ajax/creaajax.js"> </script>
<script type="text/javascript" src="utilesjs/funciones.js" charset="iso-8859-1"> </script>
<script language="javascript">
function modificardato(Idproducto,codigo,name,campo,value) {
	if (newvalue=prompt('Por favor ingresa un(a) nuevo(a) '+name,value)) {
		grabando();
		location.href='tablas-productos.php?modifica=si&Idproducto='+Idproducto+'&codigo='+codigo+'&campo='+campo+'&value='+newvalue;
	} else {return;}
}
function modificarvalorventa(Idproducto,fecha,valorventa) {
	if (newvalue=prompt('Por favor ingresa un nuevo precio de venta para el producto',valorventa)) {
		grabando();
		location.href='tablas-productos.php?modifica=valorventa&Idproducto='+Idproducto+'&fecha='+fecha+'&valorventa='+newvalue;
	} else {return;}
}

function modificarstock(Idproducto,codigo,name,stockactual) {
	if (stocknuevo=prompt('Por favor ingresa el stock actual del producto '+codigo,stockactual)) {
		grabando();
		location.href='funcionesphp/corrijestock.php?Idproducto='+Idproducto+'&stockactual='+stockactual+'&stocknuevo='+stocknuevo;
	} else {return;}
}
function calculartotal(){
	document.forms.formagrega.totalventa.value=parseInt(document.forms.formagrega.netoventa.value)+parseInt(document.forms.formagrega.impuestoventa.value);
}
function eliminarproducto(Idproducto) {
	cargando();
	ajax=objetoAjax();
   	ajax.open("POST","ajax/buscarcomandaporproducto.php" , true);
   	ajax.onreadystatechange= function() {
      if (ajax.readyState==4) {
		  if (ajax.responseText!='') {
				if (ajax.responseText=='si') { //Si existen comandas abiertas
					alert ('Hay comandas abiertas con este producto, no se puede eliminar.');
					document.getElementById('cargando').style.display='none';
					return;
				}
				if (ajax.responseText=='no') { //Si existen comandas abiertas
					if (confirm('Estas seguro de eliminar este producto y su receta?')) {
						location.href="funcionesphp/eliminarproducto.php?e=e&Idproducto="+Idproducto;
						return;
					}
					document.getElementById('cargando').style.display='none';
					return;
				}
		  }
	  }
  }
 	ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
    ajax.send("Idproducto="+Idproducto);
}
</script>
<body>
<div class="div_cubierto" id="cubierto"></div>
<div class="div_cargando" id="cargando"></div>
<div align="center">
<div class="logo"><img src="grafica/logo.png" /></div>
<div class="btn_cerrar"><a href="salidausuario.php" title="salir del sistema"><img src="iconos/salir48.png" /></a></div>

<div class="n_agreganuevo" style=" <?php echo ($_GET['i']=='i')? 'display:block' : 'display:none'; ?>" id="formagrega">
<form name="formagrega" action="funcionesphp/agregarproducto.php" method="get">
<input type="hidden" name="empresa" value="<?php echo $empresa; ?>" />
    <div class="bold" id="datoamodificar" style="padding:10px; text-align:center">Crear nuevo producto</div>
    <table cellpadding="0px" cellspacing="0px" width="100%">
    	<tr>
        	<td colspan="2" height="15px"></td>
        </tr>
	   	<tr>
        	<td nowrap="nowrap">Codigo</td>
        	<td ><input type="text" name="codigo" value="" placeholder="Ej: camaron-1k" class="anchomedio"/></td>
        </tr>
    	<tr>
        	<td nowrap="nowrap">Descripcion</td>
        	<td ><input type="text" name="descripcion" value="" placeholder="Ej: Camaron IQF 1 Kg." class="ancho"/></td>
        </tr>
    	<tr>
        	<td nowrap="nowrap">Valor de venta</td>
        	<td ><input type="text" name="valorventa" value="0" class="angosto"/></td>
        </tr>
    	<tr>
        	<td nowrap="nowrap">Valor de ultima compra</td>
        	<td ><input type="text" name="valorcompra" value="0" class="angosto"/></td>
        </tr>
    	<tr>
        	<td colspan="2" height="15px"></td>
        </tr>
    	<tr>
        	<td colspan="2"><div align="center" id="grabarnuevoproducto">
    		<a href="#" onclick="javascript:grabando();document.forms.formagrega.submit();"><img src="iconos/guardar32.png" border="0px" title="grabar producto"/></a>&nbsp;&nbsp;&nbsp;
    		<a href="#" onclick="javascript:descubrirtodo();document.getElementById('formagrega').style.display='none'"><img src="iconos/cerrar32.png" border="0px" title="salir sin cambios"/></a>
            </div>
            </td>
        </tr>
    	<tr>
        	<td colspan="2" height="15px">
            </td>
        </tr>
    </table>
</form>
</div>

<div class="div_caja_titulo">
	<span class="titulos-holder bold">Productos</span>
    <span class="iconos-holder"><a href="#" onclick="cargando(); location.href='menu-matriz.php'" class="n_link_basico" title="Volver al menu principal"><img src="iconos/home32.png" height="24"/></a></span>
    <span class="iconos-holder"><a href="#" onclick="cubrirtodo(); document.getElementById('formagrega').style.display='block';" class="n_link_basico" title="Agregar producto"><img src="iconos/agregar32.png" height="24"/></a></span>
    <span class="iconos-holder"><a href="#" onclick="window.print();" class="n_link_basico" title="Imprimir listado"><img src="iconos/imprimir32.png" height="24"/></a></span>    
</div>
<div class="centrar_tabla">
<div class="tips">Click en 'descripci&oacute;n', 'tipo', y valores de compra y venta para modificar.</div>
	<table>
    <thead>
	   	<tr>
        	<th>Codigo</th>
            <th>Descripci&oacute;n</th>
            <th>Valor venta</th>
            <th>Fecha del valorventa</th>
<?php if ($admin) {?>
            <th>Valor ultima compra</th>
<?php } ?>
            <th>Margen</th>
            <th>Stock actual</th>
            <th>Valorizaci&oacute;n</th>
            <th>Opciones</th>
        </tr>
     </thead>
     <tbody>
<?php
$totalinventario=0;
$productos=$mysqli->query('SELECT * FROM productos ORDER BY descripcion ASC');
$row=$productos->fetch_array();
if ($productos->num_rows==0) {
?>
	<tr><td colspan="12">No existen productos ingresados</td></tr>
<?php
} else { 
do {
$fechahoy=date('Y-m-d');
$esteproducto = new producto($mysqli,$row['Idproducto']);
$stockcasamatriz=$esteproducto->stockcasamatriz($fechahoy);
$totalinventario+=$row['valorcompra']*$stockcasamatriz;
$precio=$mysqli->query('SELECT * FROM precios WHERE Idproducto="'.$esteproducto->Idproducto.'" AND fecha<="'.$fechahoy.'" ORDER BY fecha DESC LIMIT 1');
$row_precio=$precio->fetch_array();
$valorventa=$row_precio['valorventa'];
$fechavalorventa=$row_precio['fecha'];
?>
        <tr style="border-top:1px solid #999">
        	<td><?php echo $row['codigo']; ?></td>
            <td class="mod" onclick="modificardato('<?php echo $row['Idproducto']; ?>','<?php echo $row['codigo']; ?>','descripcion','descripcion','<?php echo $row['descripcion']; ?>')" ><?php echo $row['descripcion']; ?></td>
            <td class="mod" onclick="modificarvalorventa('<?php echo $row['Idproducto']; ?>','<?php echo date('Y-m-d'); ?>','<?php echo $valorventa; ?>')"><?php echo '$ '.apesos($valorventa); ?></td>
            <td ><?php echo afecha($fechavalorventa); ?></td>
 <?php if ($admin) {?>
           <td class="mod" onclick="modificardato('<?php echo $row['Idproducto']; ?>','<?php echo $row['codigo']; ?>','valor de ultima compra','valorcompra','<?php echo $row['valorcompra']; ?>')"><?php echo '$ '.apesos($row['valorcompra']); ?></td>
 <?php } ?>
           <td><?php echo '$ '.apesos($valorventa-$row['valorcompra']); ?></td>
            <td class="mod" onclick="modificarstock('<?php echo $row['Idproducto']; ?>','<?php echo $row['codigo']; ?>','stock casa matriz','<?php echo $stockcasamatriz; ?>')"><?php echo $stockcasamatriz; ?></td>
            <td><?php echo '$ '.apesos($row['valorcompra']*$stockcasamatriz); ?></td>
            <td>
 <?php if ($admin) {?>
            	<a href="#" onclick="javascript:cargando(); location.href='tablas-productos-movimientos.php?Idproducto=<?php echo $row['Idproducto']; ?>';" title="ver movimientos del producto" class="n_link_basico"><img src="iconos/buscar16.png"/></a>
 <?php } ?>
            </td>
        </tr>
<?php
} while ($row=$productos->fetch_array());
?>
	   	<tr style="border-top:2px solid #999">
        	<td colspan="5">&nbsp;</td>
            <td>Valor inventario</td>
            <td><?php echo '$ '.apesos($totalinventario); ?></td>
            <td>&nbsp;</td>
        </tr>
<?php
}
if ($productos) {
    $productos->free();
}
if ($valores) {
    $valores->free();
}
if ($categoria) {
    $categoria->free();
}
?>
	</tbody>
    </table>
    
</div>
</body>
</html>